;; Origami/theme.jl

;; by Joshua McFadden <joshua.mcfadden@oberlin.edu>

;; Use, modification, and distribution of this theme (this
;; file and its associated images) are permitted under the
;; terms of the GNU General Public License, available at
;; http://www.gnu.org/copyleft/gpl.html

;; Thanks to Martin Kavalec <martin@penguin.cz> and his
;; theme Microtene for the general structure of this theme.


(let*
  (
    (font (get-font "-*-lucida-medium-r-normal-*-*-100-*-*-p-*-iso8859-2"))
    (font-colors (list "rgb:43/59/77" "rgb:0a/2a/57"))
    
	(title-images (list (make-image "title-i.png")
                            (make-image "title.png")))

    	(menu-images (list (make-image "menubutton-i.png")
			   (make-image "menubutton.png") nil
			   (make-image "menubutton-c.png")))

    	(menu-images-s (list (make-image "menubutton-si.png")
			     (make-image "menubutton-s.png") nil
			     (make-image "menubutton-sc.png")))

    	(close-images (list (make-image "closebutton-i.png")
			    (make-image "closebutton.png") nil
			    (make-image "closebutton-c.png")))

    	(close-images-s (list (make-image "closebutton-si.png")
			      (make-image "closebutton-s.png") nil
			      (make-image "closebutton-sc.png")))

     	(border-images (list (make-image "border-i.png")
			     (make-image "border.png")))

     	(topcorner-images (list (make-image "topcorner-i.png")
				(make-image "topcorner.png")))

     	(frame `(
		((background . ,topcorner-images)
		 (top-edge . -11)
		 (left-edge . -1)
		 (class . top-left-corner))

		((background . ,menu-images)
		 (top-edge . -11)
		 (left-edge . 0)
		 (class . menu-button))

		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . 2)
		 (y-justify . center)
		 (top-edge . -11)
		 (left-edge . 14)
		 (right-edge . 15)
		 (class . title))


    		((background . ,close-images)
      		 (top-edge . -11)
      		 (right-edge . 0)
      		 (class . close-button))

		((background . ,topcorner-images)
		 (top-edge . -11)
		 (right-edge . -1)
		 (class . top-right-corner))

     		((background . ,border-images)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -1) 
      		 (class . left-border))

      		((background . ,border-images)
       		 (top-edge . 0)
       		 (bottom-edge . 0)
       		 (right-edge . -1) 
       		 (class . right-border))

     		((background . ,border-images)
      		 (bottom-edge . -1)
      		 (left-edge . -1) 
      		 (right-edge . -1) 
      		 (class . bottom-border))

		))


	(shaped-frame `(
		((background . ,menu-images-s)
		 (top-edge . -11)
		 (left-edge . 0)
		 (class . menu-button))

		((background . ,title-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . 2)
		 (y-justify . center)
		 (top-edge . -11)
		 (left-edge . 14)
		 (right-edge . 15)
		 (class . title))

    		((background . ,close-images-s)
      		 (top-edge . -11)
      		 (right-edge . 0)
      		 (class . close-button))
		))

	)
  (add-frame-style 'Origami
		   (lambda (w type)   
		     (case type
		       ((default) frame)
		       ((shaped) shaped-frame)
		       ((unframed) nil-frame)))))




